Jump to content

Search the Community

Showing results for tags 'error'.

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • OS
    • Linux
    • Windows
    • Virtualization
  • Coding
    • Php
    • Golang
    • JavaScript
    • Python|Ruby|Perl
    • C|C++|C#
    • DataBases
    • Lans
    • Other
    • Assembler
  • Underground
    • Security and its research
    • Hack Tools
    • Social engineering
    • Radio electronics / Phreaking
    • TV
    • Spam
    • For beginners
    • Cryptocurrency
  • Games
    • Strategy
    • Hacker Games
    • Books
    • Music
  • Other
    • News
    • Creative and Design
    • The Internet
    • SEO
    • Freebie
    • Training courses
    • Video Tutorials
    • Trading floor
    • Verstka
    • Talker
  • k0d.biz
    • Contests
    • Questions, comments and more
    • Site and forum news
    • Violations, complaints

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Joined

  • Start

    End


Group


About Me

Found 17 results

  1. Здравствуй k0d'er. Исходные: Контейнер с gitlab браузер firefox Проблема: При авторизации в gitlab, собственном, собранным из докер контейнера, получал: 422 The change you requested was rejected. Решение: Пробовал переконфигурировать сам gitlab камандой: sudo gitlab-ctl reconfigure Но это не помогло. Единственный успешный для меня вариант оказался использовать для работы с gitlab'om браузер Google Chrome. При входе с него сей ошибки не возникает.
  2. Cлучайные разрывы связи с DMA-ошибкой на Wifi interface'ах Здравствуй k0d'er. При работе по wifi бывает пропадает соединение, причём часто. Обратил внимание на отображение состояния при тесте на проекте: https://www.speedtest.net/ Пока всё тихо и ничего не запущено: Во время работы теста скорости и проявлении сбоя: У некоторых беспроводных сетевых адаптеров (например, Qualcomm Atheros AR9485) бывают случайные разрывы связи с DMA-ошибкой: При проверке работы вывода: sudo dmesg [71669.560100] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006100 Так же при выполнении: journalctl -xb мар 29 15:43:34 ******* kernel: ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02000020 DMADBG_7=0x00006100 Решение: Решение — отключить Intel IOMMU driver (DMA), добавив intel_iommu=off в параметры ядра Для grub-mkconfig измените файл /etc/default/grub и добавьте параметры внутри кавычек в строке GRUB_CMDLINE_LINUX_DEFAULT: GRUB_CMDLINE_LINUX_DEFAULT="loglevel=3 quiet intel_iommu=off" И затем сгенерируйте новый grub.cfg: grub-mkconfig -o /boot/grub/grub.cfg И соответсвенно чеши в reboot. Если не помогло, то меняй модуль wifi, другого пути не нашёл. 2022.04.28 - попробуй потыкать проводок в другие порты в роутере. В моём случае порт Микротика начал глючить, перетыкание решило проблему, другие устройства, подключенные к глючному порту так же начинали глючить.
  3. Здравствуй k0d'er. Задача: Ты получил(а) нечто подобное при поднятии контейнера: ERROR: for www_db_1 Cannot start service db: cgroups: cgroup mountpoint does not exist: unknown Нервы и мат не помогут, но облегчат страдания. Выполнив следующее ты сможешь поднять свои контейнеры: mkdir /sys/fs/cgroup/systemd mount -t cgroup -o none,name=systemd cgroup /sys/fs/cgroup/systemd Убей контейнеры и подними из заново: docker ps -a docker rm idContainera Удачи тебе.
  4. "dpkg: error processing archive" или решение проблемы перезаписи. Здравствуй k0d'er. Задача: Если ты получил при обновлении или установке нечто похожее: "dpkg: error processing archive /var/cache/apt/archives/bsdextrautils_2.37.2-4_amd64.deb (--unpack): trying to overwrite '/usr/share/bash-completion/completions/hexdump', which is also in package bash-completion 1:2.1-4.3 Errors were encountered while processing: /var/cache/apt/archives/bsdextrautils_2.37.2-4_amd64.deb E: Sub-process /usr/bin/dpkg returned an error code (1)" Или такое: Решение: sudo dpkg -i --force-overwrite /var/cache/apt/archives/bsdextrautils_2.37.2-4_amd64.deb Не забудь выполнить дальше, чтобы быть крас(авчиком)(откой): sudo apt-get -f install
  5. Здравствуй k0d'er. При старте MariaDb можно выхватить: [ERROR] Incorrect definition of table mysql.event: expected column 'd efiner' at position 3 to have type varchar(, found type char(141) Чтобы исправить сеё безобразие используй: mysql_upgrade - так твой клиент выполнит табличное обслуживание. Это проверяет, восстанавливает, оптимизирует, или анализирует таблицы. x@k0d.cc:~$ mysql_upgrade -u root -p
  6. Error in logs: http2: stream closed [golang] Есть софт, написан на golang. Валится при непонятных обстоятельствах, всё как обычно и бах, и крах. В логах был обнаружен странный строк: http2: stream closed Исходные: Ось: Debian Linux Golang: go version go1.16.6 linux/amd64 Есть идеи?
  7. Здравствуй k0d'er. Если ты получил такую ошибку при обновлении системы: Err:9 https://packages.sury.org/php stretch InRelease The following signatures couldn't be verified because the public key is not available: NO_PUBKEY B188E2B695BD4743 Reading package lists... Done Building dependency tree Reading state information... Done 312 packages can be upgraded. Run 'apt list --upgradable' to see them. W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://packages.sury.org/php stretch InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY B188E2B695BD4743 W: Failed to fetch https://packages.sury.org/php/dists/stretch/InRelease The following signatures couldn't be verified because the public key is not available: NO_PUBKEY B188E2B695BD4743 W: Some index files failed to download. They have been ignored, or old ones used instead. Выполни следующее: rm /etc/apt/trusted.gpg.d/php.gpg wget -O /etc/apt/trusted.gpg.d/php.gpg https://packages.sury.org/php/apt.gpg apt-key list
  8. При поднятии контейнера, где лежит проект, а точнее файл docker-compose.yml лежит в папке с Русскими символами, вы получите такое сообщение: x@developers:~/www/доменное-имя.рф$ docker-compose up Creating network "-_x_net" with driver "bridge" ERROR: no such image: "-_x_net": invalid reference format Все Русские символы вырезаются и говорится не верный формат. Не создавайте себе проблем, не пишите название проектов Русскими символами.
  9. Здравствуй k0d'er. Задача: При поднятии контейнера на Debian или Kali получаешь вот такую ошибку: mongo exited with code 132 mongo | /usr/local/bin/docker-entrypoint.sh: line 392: 28 Illegal instruction "${mongodHackedArgs[@]}" --fork Решение: Решение оказывается не такиим тривиальным как обычно. Дело в том что данная, последняя, версия mongoDb использует: Advanced Vector Extensions (википедия AVX), но походу ваш проц не поддерживает данного расширения, по сему снижайте версию mongoDb, пока не заработает. Переходим в tags и по очереди начинаем снижать, например так: В DockerFile'e: FROM mongo:4.2.16-rc0 Не забывайте пересобрать образ.
  10. Получаете такое при выполнении npm update or install: npm ERR! Unexpected end of JSON input while parsing near '...er": "^4.1.0" Попробуйте: npm cache clean --force Если не помогло, то сделайте: Удалите node_modele npm cache clean --force Из под sudo обновите: sudo npm update
  11. Здравствуй k0d'er. При работе с WebSocket на https можно получить такое сообщение в firefox: Error in mounted hook: "SecurityError: The operation is insecure." JS Хотя в целом на версии его младшего брата (http) работать будет щикарно. В чём же дело может быть? Решение: для работы на https используйте также защищенный WebSocket, вызывая его как wss: const url = new URL(`wss://${location.hostname}:${location.port}/chat/con`); url.search = new URLSearchParams({ url: that.$route.fullPath }); this.webSocketConnection = new WebSocket(url.toString());
  12. После переноса Zend'a на хостинг может возникнуть ошибка: ################### Warning: is_readable() [function.is-readable]: open_basedir restriction in effect. File(/usr/local/share/pear/./views/helpers/HeadMeta.php) is not within the allowed path(s): (/home/host/data:.) in /home/host/data/www/site.ru/library/Zend/Loader.php on line 196 ################### Нужно заменить include path в /public/index.php : ############################# set_include_path( implode(PATH_SEPARATOR, array(realpath(APPLICATION_PATH . '/../library'), get_include_path())) ); ############################# на ############################# set_include_path( APPLICATION_PATH.'/../library'.PATH_SEPARATOR. APPLICATION_PATH.'/../library/Zend' ); #############################
  13. При выполнении: npm install Получаем такое: Ошибка: Error: pngquant failed to build, make sure that libpng-dev is installed Перевод: pngquant не удалось собрать, убедитесь, что установлен libpng-dev Устанавливаем в системе, в которой выполняем установку: apt install -y build-essential libpng-dev build-essential libpng-dev Проверяем выполнение команды: npm install Успех. Исправно отработало. Есть warnings, но это совсем другая история,н и не так важно. Команда теперь выполняется.
  14. На портале замечены проблемы при регистрации новых пользователей. Исправления идут...
  15. При поднятии контейнера может вылететь ошибка сети. ERROR: for containers_your user specified IP address is supported only when connecting to networks with user configured subnets И вроде сеть поднята ip addr show #!!! Вслед всеобщему заблуждению статус поднятия показывает тут: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP group default а нет тут: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP group default #!!! Создание сети так не прокатит: docker network create some-net будет вылетать ошибка вышеуказанная. По сему пишите полные настройки: docker network create --driver=bridge --subnet=172.19.0.0/16 --ip-range=172.19.1.0/24 --gateway=172.19.0.1 some-net Глянуть опции можно тут. Теперь скидываем контейнер: docker-compose down И поднимаем: docker-compose up
  16. Встречается ошибка при сборке: pngquant pre-build test failed Решается: Leaving this here for anyone else trying to use Gatsby with WSL Debian After you have installed the pre-requisites, you will also need to install libpng-dev Pre-requisites: sudo apt install -y build-essential sudo apt install git
  17. Проблема: Подключение к MySQL-серверу происходит с ошибкой «Host ‘такой-то’ is not allowed to connect to this MySQL server». Это происходит из-за того, что у пользователя, от имени которого вы обращаетесь к MySQL-серверу, отсутствует доступ к данному серверу с текущего IP-адреса. Решение: в таблице пользователей нужно разрешить юзеру доступ к базе либо с определенного (например, ‘10.10.10.10’@’user’), либо с любого IP-адреса (‘%’@’user’). Действия: В консоли логинимся на MySQL-сервер под логином root с его паролем, создаем (или модифицируем, если он уже есть) пользователя с возможностью подключения к нужной нам базе с любого IP-адреса и перезагружаем таблицу разрешений: ~# mysql -u root mysql -p mysql> GRANT ALL PRIVILEGES ON database.* TO username@"%" IDENTIFIED BY 'password' WITH GRANT OPTION; mysql> exit; ~# mysqladmin -u root -p flush-privileges Здесь database это база данных, к которой назначаем права пользователю username с паролем password
×
×
  • Create New...